// 控制jq
$(function(){
	$(window).scroll(function(){
		if($(document).scrollTop() > 50){
			$('header').addClass('headerTop',300);
		}else{
			$('header').removeClass('headerTop',300);
		}
	});
	$('#openSearBox').click(function(){
		if($(this).children('i').eq(0).attr('class') == 'fa fa-search'){
			$('header').attr('id','openSearch');
			$(this).children('i').attr('class','fa fa-remove');
			$('#hSearch').children('input[name="kw"]').focus();
		}else{
			$('header').attr('id','');
			$(this).children('i').attr('class','fa fa-search');
		}
	});
	$('#goSearch').click(function(){
		$('#hSearch').submit();
	});
	$('#openMenu').click(function(){
		if($(this).children('a').children('i').eq(0).attr('class') == 'fa fa-reorder'){
			$(this).children('a').children('i').attr('class','fa fa-remove');
			$('.wrapper').attr('id','openwrap');
		}else{
			$(this).children('a').children('i').attr('class','fa fa-reorder');
			$('.wrapper').attr('id','');
		}
	});
	$('header .topMenu nav .pc li b').click(function(){
		var ul = $(this).parent('p').parent('li').siblings();
		ul.children('div').slideUp("slow");
		ul.children().children().children('i').attr('class','fa fa-plus');
		if($(this).children('i').eq(0).attr('class') == 'fa fa-plus'){
			$(this).parent().next().slideToggle(300);
			$(this).children('i').attr('class','fa fa-minus');
			$(this).parent().parent().addClass('action');
		}else{
			$(this).parent().next().slideUp("slow");
			$(this).children('i').attr('class','fa fa-plus');
			$(this).parent().parent().removeClass('action');
		}
	});
	var sw = $(window).width();
	if(sw < 1025){
		$('#sideNav h2.sideTitle').click(function(){
			var $self = $(this);
			$self.next('div.mobnav').slideToggle('fast', function(){
				$self.toggleClass('current');
			});
		});
		$('#g-map iframe').css('height', '300px');
	}else{
		var sideNavH = ($('#sideNav').eq(0).height()) + 200;
		$('#articleBox').css('min-height', sideNavH+'px');
		$('#g-map iframe').css('height', $('.productsList').eq(0).height()+'px');
	}
	$('#webSeo .seo').marquee({
		speed: 100000,
		gap: 50,
		delayBeforeStart: 0,
		direction: 'left',
		duplicated: true,
		pauseOnHover: true
	});
});
function goTop(){
	$('html,body').animate({'scrollTop':0},600); //滚回顶部的时间，越小滚的速度越快~
}